Rysunek Roboczy: Szyk z punktów
|
Menu location |
---|
Modification → Array tools → Point array |
Workbenches |
Draft, Arch |
Default shortcut |
None |
Introduced in version |
0.18 |
See also |
Draft OrthoArray, Draft PolarArray, Draft CircularArray, Draft PathArray, Draft PathLinkArray, Draft PointLinkArray |
Description
The Draft PointArray command creates a regular array from a selected base object by placing copies at the points from a point object. Use the Draft PointLinkArray command to create a more efficient Link array instead. Except for the type of array that is created, Link array or regular array, the Draft PointLinkArray command is identical to this command.
The base object can be a 2D object created with the Draft Workbench or Sketcher Workbench, but also a 3D object such as those created with the Part Workbench, PartDesign Workbench or Arch Workbench.
The point object can be any object with a shape and vertices (including a Std Part containing one or more of such objects), as well as a mesh and a point cloud. Duplicate points in the point object are filtered out. introduced in version 0.21
In version 0.20 and below only three point object types are supported see Point object version 0.20 and below.
Draft PointArray
Usage
- Select the object you wish to array.
- Add the point compound object to the selection.
- There are several ways to invoke the command:
- Press the
Draft PointArray button.
- Select the Modification → Array tools →
Point array option from the menu.
- Press the
- The array is created.
- Optionally change the properties of the array in the Property editor.
Point object version 0.20 and below
These are the supported point objects in version 0.20 and below and how they can be created:
- Part Compound: Create one or more Draft Points or Part Points, select them and invoke the Part Compound command.
- Draft Block: Create one or more Draft Points or Part Points, select them and invoke the Draft Upgrade command.
- Sketcher Sketch: Create a Sketch and add one or more Sketcher Points to the sketch.
Properties
See also: Property editor.
A Draft PointArray object is derived from a Part Feature object and inherits all its properties (with the exception of some View properties that are not inherited by Link arrays). The following properties are additional unless otherwise stated:
Data
Link
The properties in this group are only available for Link arrays. See Std LinkMake for more information.
- DANEScale (
Float
) - DANE (Hidden)Scale Vector (
Vector
) - DANEScale List (
VectorList
) - DANE (Hidden)Visibility List (
BoolList
) - DANE (Hidden)Placement List (
PlacementList
) - DANE (Hidden)Element List (
LinkList
) - DANE (Hidden)_ Link Touched (
Bool
) - DANE (Hidden)_ Child Cache (
LinkList
) - DANE (Hidden)Colored Elements (
LinkSubHidden
) - DANELink Transform (
Bool
)
Objects
- DANEBase (
Link
): specifies the object to duplicate in the array. - DANECount (
Integer
): (read-only) specifies the number of elements in the array. This number is determined by the number of points in the DANEPoint Object. - DANEExpand Array (
Bool
): specifies whether to expand the array in the Tree view to enable the selection of its individual elements. Only available for Link arrays. - DANEExtra Placement (
Placement
): : specifies an additional placement, translation and rotation, for each element in the array. - DANEPoint Object (
Link
): specifies the compound object whose points are used to position the elements in the array. The object must have a DANELinks, DANEComponents or DANEGeometry property, and contain at least one element with DANEX, DANEY, and DANEZ properties.
View
Link
The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.
- WIDOKDraw Style (
Enumeration
) - WIDOKLine Width (
FloatConstraint
) - WIDOKOverride Material (
Bool
) - WIDOKPoint Size (
FloatConstraint
) - WIDOKSelectable (
Bool
): this is an inherited property that appears in the Selection group for other arrays - WIDOKShape Material (
Material
)
Base
The properties in this group, with the exception of the inherited property, are only available for Link arrays. See Std LinkMake for more information.
- WIDOK (Hidden)Child View Provider (
PersistentObject
) - WIDOK (Hidden)Material List (
MaterialList
) - WIDOK (Hidden)Override Color List (
ColorList
) - WIDOK (Hidden)Override Material List (
BoolList
) - WIDOK (Hidden)Proxy (
PythonObject
): this is an inherited property.
Display Options
The properties in this group are inherited properties. See Part Feature for more information.
- WIDOKBounding Box (
Bool
): this property is not inherited by Link arrays. - WIDOKDisplay Mode (
Enumeration
): for Link arrays it can beLink
orChildView
. For other arrays it can be:Flat Lines
,Shaded
,Wireframe
orPoints
- WIDOKShow In Tree (
Bool
) - WIDOKVisibility (
Bool
)
Draft
- WIDOKPattern (
Enumeration
): not used. - WIDOKPattern Size (
Float
): not used.
Object style
The properties in this group are not inherited by Link arrays.
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
To create a point array use the make_point_array
method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makePointArray
method.
point_array = make_point_array(base_object, point_object, extra=None, use_link=True)
base_object
is the object to be arrayed. It can also be theLabel
(string) of an object in the current document.point_object
is the object containing the points. It can also be theLabel
(string) of an object in the current document. It should have aGeometry
,Links
, orComponents
property containing points.extra
is anApp.Placement
, anApp.Vector
or anApp.Rotation
that displaces each element.- If
use_link
isTrue
the created elements are App Links instead of regular copies.
Example:
import FreeCAD as App
import Draft
doc = App.newDocument()
polygon = Draft.make_polygon(3, radius=500.0)
p1 = Draft.make_point(App.Vector(1500, 0, 0))
p2 = Draft.make_point(App.Vector(2500, 0, 0))
p3 = Draft.make_point(App.Vector(2000, 1000, 0))
compound = doc.addObject("Part::Compound", "Compound")
compound.Links = [p1, p2, p3]
point_array = Draft.make_point_array(polygon, compound)
doc.recompute()
- Kreślenie: Linia, Polilinia, Zaokrąglenie, Łuk, Łuk przez 3 punkty, Okrąg, Elipsa, Wielokąt foremny, Krzywa złożona, Krzywa Bezier'a, Punkt, Łącznik ścian, Kształt z tekstu, Kreskowanie, Prostokąt
- Adnotacje: Adnotacja wieloliniowa, Wymiarowanie, Etykieta, Edytor stylów adnotacji, Widżet skali anotacji
- Modyfikacja: Przesuń, Obróć, Skala, Odbicie lustrzane, Odsunięcie, Przytnij, Rozciągnij, Klonuj, Szyk, Szyk biegunowy, Szyk kołowy, Szyk po ścieżce, Szyk powiązań po ścieżce, Szyk z punktów, Szyk powiązań w punktach, Edycja, Podświetl element podrzędny, Połącz, Rozdziel, Ulepsz kształt, Rozbij obiekt na elementy, Polilinia na krzywą złożoną, Rysunek Roboczy do szkicu, Nachylenie, Obróć wymiar, Widok 2D kształtu
- Tacka narzędziowa: Wybór płaszczyzny, Ustaw styl, Przełącz tryb konstrukcyjny, Grupowanie automatyczne
- Przyciąganie: Przełącz przyciąganie, Przyciągnij do punktu końcowego, Przyciągnij do punktu środkowego, Przyciągnij do środka, Przyciągnij do kąta, Przyciąganie do punktu przecięcia, Przyciągnij prostopadle, Rozszerz, Przyciągnij równolegle, Przyciągnij specjalnie, Przyciąganie do najbliższego, Przyciągnij ortogonalnie, Przyciągnij do siatki, Przyciągnij do płaszczyzny roboczej, Przyciągnij do wymiaru, Pokaż / ukryj siatkę
- Różności: Warstwa, Dodaj grupę o nazwie, Dodaj do grupy, Wybierz grupę, Dodaj do grupy konstrukcyjnej, Przełącz tryb wyświetlania, Pośrednia płaszczyzna robocza, Zastosuj bieżący styl, Ulecz, Przełącz tryb kontynuacji, Pokaż przybornik przyciągania
- Dodatkowe:: Wiązania, Wypełnienie wzorem, Preferencje, Ustawienia Importu i Eksportu, DXF/DWG, SVG, OCA, DAT
- Menu podręczne:
- Kontener warstwy: Połącz duplikaty warstw, Dodaj warstwę
- Warstwa: Aktywuj warstwę, Zaznacz zawartość warstwy
- Pośrednia płaszczyzna robocza: Zapisz ujęcie widoku, Zapisz stan obiektów

- Jak zacząć
- Instalacja: Pobieranie programu, Windows, Linux, Mac, Dodatkowych komponentów, Docker, AppImage, Ubuntu Snap
- Podstawy: Informacje na temat FreeCAD, Interfejs użytkownika, Profil nawigacji myszką, Metody wyboru, Nazwa obiektu, Edytor ustawień, Środowiska pracy, Struktura dokumentu, Właściwości, Pomóż w rozwoju FreeCAD, Dotacje
- Pomoc: Poradniki, Wideo poradniki
- Środowiska pracy: Strona Startowa, Architektura, Rysunek Roboczy, MES, Inspekcja, Siatka, OpenSCAD, Część, Projekt Części, Path, Punkty, Inżynieria Wsteczna, Robot, Szkicownik, Arkusz Kalkulacyjny, Start, Powierzchnia 3D, Rysunek Techniczny, Test Framework, Web